Get OAuth Redirect URL
POST /api/v1/auth/web/social/{provider}/redirect
POST
/api/v1/auth/web/social/{provider}/redirect
Get the OAuth redirect URL for the specified provider. The client should open this URL in a browser to start the OAuth flow.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” provider
required
string
The OAuth provider name.
Example
googleResponses
Section titled “ Responses ”object
redirect_url
string
https://accounts.google.com/o/oauth2/v2/auth?...{ "redirect_url": "https://accounts.google.com/o/oauth2/v2/auth?..."}Invalid provider
object
message
string
The given data was invalid. errors
object
provider
Array<string>
[ "The selected provider is invalid."]{ "message": "The given data was invalid.", "errors": { "provider": [ "The selected provider is invalid." ] }}